Ed25519 - Delete a key share, use query params
DELETE/ed25519/delete-key-share
This API endpoint requires an API Key with at least one of the following Roles: KeysManager
Deletes the key share associated with the given key_id.
This operation is irreversible. Once the key share is deleted, it cannot be recovered.
Request
Header Parameters
The AUTHORIZATION header must be set to the API Key of the user. The API Key is returned when a new user is created using the /admin/create-user endpoint.
Responses
- 200
- 400
- 401
- 404
- 500
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [already_performed_keygen, api_key_not_found, bad_n_and_t_params, bad_request_params, batch_too_large, cant_delete_boot_admin, cluster_already_exists, cluster_not_found, executor_result, failed_to_import_key_share, invalid_domain, key_not_found, key_operation_before_keygen, no_backup_private_key, no_backup_public_key, plaintext_backup_disabled, policy_already_exists, policy_in_use_by_keys, policy_in_use_by_users, policy_not_found, policy_validation_failed, room_creation_problem, rule_already_exists, rule_in_use, rule_not_found, rule_not_in_policy, user_already_exists, user_has_associated_keys, user_not_found, vertex_already_exists, vertex_not_found]
{
"err_msg": "string",
"err_type": "already_performed_keygen"
}
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [access_denied, bad_key_permission]
{
"err_msg": "string",
"err_type": "access_denied"
}
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [not_found]
{
"err_msg": "string",
"err_type": "not_found"
}
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [internal_problem]
{
"err_msg": "string",
"err_type": "internal_problem"
}